:root{
    --color-category-office: #7389d9;
    --color-category-graphics: #d96a56;
    --color-category-games: #de76b7;
    --color-category-utilities: #4ba3a8;
    --color-category-development: #bf8f6d;
    --color-category-education: #9970c2;
    --color-sidebar-external: #ffffff;
    --color-sidebar-apps: #fffaec;
    --color-sidebar-bottom: #cfcfcf;
    --color-borders: #ebebeb;
    --color-muted: #9c9c9c;
    --color-link: #29abe2;
    --color-text: #5c5c5c;
    --sidebar-width: 280px;
    --content-width: 960px;
}

body { /* default font settings*/
    font-family: 'Open Sans', sans-serif;
}

p {
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    font-weight: 300;
    color: var(--color-text);
}


a,
a:hover,
a:focus {
    color: var(--color-link);
    text-decoration: none;
    transition: all 0.3s;
}

.header {
    align-content: center;
    text-align: center;
    margin-bottom: 24px;
}

.header p {
    color: var(--color-muted);
    font-weight: 400;
    border-bottom: 1px solid var(--color-sidebar-bottom);
    padding-bottom: 12px;
}

.header .navigation a {
    display: inline-block;
    margin: 0 12px;
}

.wrapper {
    display: flex;
    width: 100%;
    align-items: stretch;
}

.datetimeblock{
    display: inline-block;
    color: var(--color-muted);
    font-weight: 300;
    width: max-content;
    align-items: end;
}

#content {
    margin: 0 auto;
    padding: 0 20px;
    min-height: 100vh;
    transition: all 0.3s;
    max-width: 960px;
}

.posts .datetimeblock {
    display: inline-block;
    color: var(--color-muted);
    font-weight: 300;
    font-size: 14px;
    width: 120px;
    align-items: end;
}

.posts h1 {
    font-size: 24px;
    font-weight: 600;
    color: #518187;
    margin-bottom: 24px;
}

.posts p {
    margin-bottom: 6px;
    font-size: 18px;
}

.post {
    border: 1px solid var(--color-borders);
    color: var(--color-text);
    margin-bottom: 25px;
    padding: 8px 25px;
    font-weight: 300;
}

.post .datetimeblock{
    float: right;
    color: var(--color-muted);
    font-weight: 400;
    width: max-content;
    align-items: end;
}

.post h1 {
    clear: right;
    font-size: 24px;
    font-weight: 600;
    color: #518187;
    padding: 0 50px;
}

.post h2 {
    font-size: 20px;
    font-weight: 400;
}

.post h3 {
    font-size: 18px;
    font-weight: 400;
}

.post .tags{
    margin-top: 24px;
    font-size: 14px;
}
.post .tags a{
    color: var(--color-muted);
}
.post .tags a:hover{
    color: var(--color-text);
}

.page.jumbotron
{
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 50%;
    height: 30%;
    margin: auto;
}

img,
iframe,
embed,
video,
audio {
    max-width: 100%;
}

.pagination {
    font-size: 14px;
    margin: 24px 0;
}

.pagination .newer {
    margin-right: 24px;
}

/*** Sidebar ***/
.sidebar {
    width: var(--sidebar-width);
    min-width: var(--sidebar-width);
    background: var(--color-sidebar-bottom);
    border-right: 2px solid var(--color-borders);
    color: #fff;
    transition: all 0.3s;
    padding: 0;
    font-weight: 400;
}

.sidebar .ext-refs
{
    background: #fff;
    padding: 40px 0 20px 0;
    flex-wrap: wrap;
    display: flex;
}
.sidebar .ext-refs a
{   
    display: block;
    float: left;
    margin-left: 15%;
    width: 35%;
    font-size: 16px;
    margin-top: 12px;
}

.app-categories {
    display: flex;
    flex-wrap: wrap;
}
.app-categories a {
    width: 50%;
    float: left;
    display: inline-block;
    border: none;
    border-radius: 0;
    padding: 4px 0;
    padding-left: 4px;
    margin: 0;
    font-size: 14px;
    line-height: 38px;
    color: var(--color-sidebar-external);
}

a.office {
background-color: var(--color-category-office);
}
a.graphics {
    background-color: var(--color-category-graphics);
}
a.games {
    background-color: var(--color-category-games);
}
a.utilities {
    background-color: var(--color-category-utilities);
}
a.development {
    background-color: var(--color-category-development);
}
a.education {
    background-color: var(--color-category-education);
}

.app-categories a:hover{
    filter:brightness(120%);
}
.app-categories a:hover .icon {
    -webkit-transform: scale(1.1);
    -moz-transform: scale(110);
    transform: scale(1.1)
}

.sidebar .apps
{
    padding: 24px 0 0 0;
    color: var(--color-muted);
    background-color: var(--color-sidebar-apps);
}
.sidebar .apps p
{
    text-align: center;
    font-size: 18px;
    font-weight: 400;
    color: var(--color-muted);
}

.sidebar .apps .app {
    height: fit-content;
    border-bottom: 2px solid var(--color-borders);
    padding: 10px 12px 10px 24px;
    font-size: 16px;
    font-weight: 300;
}

.sidebar .apps .app span {
    font-weight: 400;
}

.sidebar .apps .app .app-icon {
    float: right;
    width: 48px;
    height: 48px;
    margin-left: 18px;
}

.sidebar .social
{
    margin-top: 12px;
    text-align: center;
}

.sidebar .social a
{
    display: inline-block;
}

/*
Sidebar is hidden by default when the screen width is less than 960px.
When screen is this size, button to open\close sidebar is shown.
 */
#sidebarCollapseButton
{
    display: none;
}

@media (max-width: var(--sidebar-width)) {
    .sidebar {
        margin-left: var(--sidebar-width);
    }
    .sidebar.active {
        margin-left: 0;
    }
    #sidebarCollapseButton{
        display: block;
        right:0px;
        top: 0px;
        position: absolute;
    }
}

/*** Sprite Images ***/

.icon {
    background: url(https://d1vavpbr5pebgu.cloudfront.net/media/images/mobile/sprites-v3.png) top left no-repeat;
    background-size: 275px 150px;
    float: left;
    width: 32px;
    height: 32px;
    margin: 3px 5px 3px 3px;
 }
 
 .icon-2x {
    background: url(https://d1vavpbr5pebgu.cloudfront.net/media/images/mobile/sprites-v3.png) top left no-repeat;
    background-size: 550px 300px;
    float: left;
    width: 32px;
    height: 32px;
    margin: 3px 5px 3px 3px;
 }
 
 .icon.office {
    background-position: -165px -87px;
    width: 20px;
    margin-left: 9px;
    margin-right: 11px;
 }
 
 .icon.graphics{
    background-position: -183px -87px;
    width: 23px;
    margin-left: 7px;
    margin-right: 10px;
 }
 
 .icon.games{
    background-position: -228px -92px;
    height: 24px;
    margin-top: 7px;
    margin-bottom: 7px;
 }
 
 .icon.development{
    background-position: -227px -62px;
    width: 22px;
    margin-left: 8px;
    margin-right: 10px;
 }
 
 .icon.education{
    background-position: -249px -66px;
    width: 26px;
    height: 26px;
    margin: 6px 8px 6px 6px;
 }
 
 .icon.utilities{
    background-position: -205px -89px;
    width: 23px;
    height: 26px;
    margin: 6px 10px 6px 7px;
 }
 
 .social .twitter {
    width: 25px;
    height: 25px;
    background-position: -71px -150px;
 }
 
 .social .facebook {
    width: 25px;
    height: 25px;
    background-position: -210px -150px;
 }
 
 .social .youtube {
    width: 25px;
    height: 25px;
    background-position: -1px -212px;
 }
 